import _classPrivateFieldLooseBase from "@babel/runtime/helpers/esm/classPrivateFieldLooseBase";
import _classPrivateFieldLooseKey from "@babel/runtime/helpers/esm/classPrivateFieldLooseKey";
var LOCALHOST = 'localhost';
var _domain = /*#__PURE__*/_classPrivateFieldLooseKey("domain");
export var DomainTrimmer = /*#__PURE__*/function () {
  function DomainTrimmer(_ref) {
    var host = _ref.host;
    Object.defineProperty(this, _domain, {
      writable: true,
      value: void 0
    });
    _classPrivateFieldLooseBase(this, _domain)[_domain] = host.includes(LOCALHOST) ? LOCALHOST : this._extractDomain({
      host: host
    });
  }

  /**
   * www.infojobs.net => infojobs.net
   * ikea.ofertas-trabajo.infojobs.net => infojobs.net
   * @returns string
   */
  var _proto = DomainTrimmer.prototype;
  _proto._extractDomain = function _extractDomain(_ref2) {
    var host = _ref2.host;
    return host.split('.').slice(-2).join('.');
  };
  _proto.get = function get() {
    return _classPrivateFieldLooseBase(this, _domain)[_domain];
  };
  return DomainTrimmer;
}();